### Method

# Gio TlsBackend set_default_database

since: 2.60

#### Declaration [src]

    void
    g_tls_backend_set_default_database (
      GTlsBackend* backend,
      GTlsDatabase* database
    )

#### Description [src]

Set the default `GTlsDatabase` used to verify TLS connections

Any subsequent call to `g_tls_backend_get_default_database()` will return the database set in this call. Existing databases and connections are not modified.

Setting a `NULL` default database will reset to using the system default database as if `g_tls_backend_set_default_database()` had never been called.

Available since: 2.60

#### Parameters

`database`

  Type: `GTlsDatabase`

  The `GTlsDatabase`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.